Skip to main content
POST
/
enrichments
/
{enrichmentId}
/
decline
Report that a card decline occurred
curl --request POST \
  --url https://east.sandbox.spade.com/enrichments/{enrichmentId}/decline \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "declineCode": "<string>",
  "declineDescription": "<string>",
  "declineNotes": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "isFraud": true,
  "fraudNotes": "<string>"
}
'
import requests

url = "https://east.sandbox.spade.com/enrichments/{enrichmentId}/decline"

payload = {
"declineCode": "<string>",
"declineDescription": "<string>",
"declineNotes": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"isFraud": True,
"fraudNotes": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
declineCode: '<string>',
declineDescription: '<string>',
declineNotes: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
isFraud: true,
fraudNotes: '<string>'
})
};

fetch('https://east.sandbox.spade.com/enrichments/{enrichmentId}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "details": "<string>"
}
{
"invalidField": [
"<string>"
]
}
{
"details": "<string>"
}
{
"details": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

enrichmentId
string
required

The enrichmentId of enrichment associated with the transaction where a card decline occurred.

Body

application/json
declineCode
string

A two digit alphanumeric code indicating why a card transaction was declined. For reference, see the Visa Action Code or the Mastercard Network Response Codes.

Maximum string length: 128
Example:

"51"

declineDescription
string

A plain text description associated with a decline code.

Maximum string length: 512
Example:

"Insufficient funds"

declineNotes
string

Any additional details related to a card decline not covered by the declineCode or declineDescription.

Maximum string length: 512
Example:

"Unknown reason for decline."

occurredAt
string<date-time>

The time the decline occurred. Formatted as an ISO 8601 date time.

Example:

"2022-06-15 18:27:51Z"

isFraud
boolean

A boolean indicating if this transaction was suspected to involve fraud.

Example:

false

fraudType
enum<string>

The type of fraud suspected to have occurred. This field can only be provided if isFraud is true.

Available options:
card_not_present,
card_testing,
chargeback_fraud,
counterfeit_card,
merchant_fraud,
other,
phishing,
stolen_card,
unknown,
none
fraudNotes
string

Any additional details related to fraud suspected to have occurred on the associated transaction. This field can only be provided if isFraud is true.

Maximum string length: 512
Example:

"Merchant is believed to commonly be used for card testing."

Response

Decline reported successfully.

Response for reporting any kind of enrichment feedback.

details
string
Example:

"Chargeback successfully reported."